List crossdocks
curl --request POST \
--url 'https://clarus-api.com/graphql#ListCrossdocks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListCrossdocks"
payload = { "query": "query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListCrossdocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"crossdocks": {
"all": {
"edges": [
{
"node": {
"id": "501",
"reference": "XD-2026-0042",
"status": "pending",
"inbound_method": "delivery",
"crossdock_type": "external",
"expected_date_of_receipt": "2026-06-20T09:00:00Z",
"account": {
"id": "7",
"code": "ACME"
},
"warehouse": {
"id": "2",
"code": "MAIN"
}
}
}
]
}
}
}
}{
"error": "<string>"
}Crossdocks
List crossdocks
Retrieve crossdocks using GraphQL. Supports filtering, sorting, and pagination via relay-style connections.
POST
/
graphql#ListCrossdocks
List crossdocks
curl --request POST \
--url 'https://clarus-api.com/graphql#ListCrossdocks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListCrossdocks"
payload = { "query": "query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListCrossdocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"crossdocks": {
"all": {
"edges": [
{
"node": {
"id": "501",
"reference": "XD-2026-0042",
"status": "pending",
"inbound_method": "delivery",
"crossdock_type": "external",
"expected_date_of_receipt": "2026-06-20T09:00:00Z",
"account": {
"id": "7",
"code": "ACME"
},
"warehouse": {
"id": "2",
"code": "MAIN"
}
}
}
]
}
}
}
}{
"error": "<string>"
}Query Structure
query($filter: CrossdockFilterType) {
crossdocks {
all(filter: $filter) {
edges {
node {
id
reference
status
inbound_method
crossdock_type
expected_date_of_receipt
account {
id
code
}
warehouse {
id
code
}
}
}
}
}
}
Filter Argument
All filters are passed inside thefilter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
"filter": {
"reference": {
"ilike": "value"
}
}
}
Available Filters
| Filter | Input Type | Operators | Description |
|---|---|---|---|
reference | StringInputType | eq, ilike, like, in, between | Crossdock reference |
account_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Account ID |
warehouse_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Warehouse ID |
supplier_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Supplier ID |
carrier_id | IdInputType | eq, in, gt, gteq, lt, lteq, filled | Carrier ID |
expected_date_of_receipt | DatetimeInputType | eq, from, to, between | Expected receipt date |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
GraphQL query string
Example:
"query($filter: CrossdockFilterType) { crossdocks { all(filter: $filter) { edges { node { id reference status inbound_method crossdock_type expected_date_of_receipt account { id code } warehouse { id code } } } } } }"
Query variables including the filter object
Show child attributes
Show child attributes
Example:
{
"filter": { "reference": { "ilike": "XD" } }
}

